diff --git a/src/plugin/term/keyb_slang.c b/src/plugin/term/keyb_slang.c
index 7b0ac157b9..f15f21bb2d 100644
--- a/src/plugin/term/keyb_slang.c
+++ b/src/plugin/term/keyb_slang.c
@@ -804,8 +804,18 @@ static int read_some_keys(void)
 			KBBUF_SIZE - keyb_state.kbcount - offs);
 	ioselect_complete(keyb_state.kbd_fd);
 	k_printf("KBD: cc found %d characters (Xlate)\n", cc);
-	if (cc > 0)
+	if (cc > 0) {
+		if (debug_level('k') >= 9) {
+			int i;
+			k_printf("KBD: ");
+			for (i = 0; i < cc; i++)
+				k_printf("%x ",
+					keyb_state.kbp[
+					keyb_state.kbcount + i]);
+			k_printf("\n");
+		}
 		keyb_state.kbcount += cc;
+	}
 	return cc;
 }
 
